<template>
<section id="headerVille">
    <header>
        <div class="container">
            <div class="row no-gutters">
                <h2>{{ $t('generic.simulateurtitle') }}</h2>
            </div>
        </div>
    </header>
    <main>
        <article class="container">
            <section class="row no-gutters">
                <header>
                    <h3>{{ $t('generic.communeresume') }}</h3>
                </header>

                <main class="col-md-12">

                    <ul class="row">
                        <li class="col-md-12 mt-3">
                            <div>
                                <img src="/images/maps.svg" width="25px" />
                            </div>
                            <div>
                                {{ $t('generic.ville', {ville: ville.Nom_ville, departement: Number(ville.Departement).toLocaleString() }) }}
                            </div>
                        </li>

                        <li class="col-md-12 mt-3">
                            <div>
                                <img src="/images/population.svg" width="25px" />
                            </div>

                            <div>
                                Population municipale : <span>{{ Number(ville.Population).toLocaleString() }} habitants</span> &nbsp;

                                <b-button id="popup-population-legales" class="btn btn-popup">?</b-button>
                                <b-popover ref="popover" target="popup-population-legales" triggers="focus">
                                    Sert au calcul du nombre de sièges. Source Insee 2020 liée au recensement de 2017.<br/>
                                    <a target="__blank" href="https://www.insee.fr/fr/metadonnees/definition/c1932">Définition détaillée sur le site de l'Insee</a>
                                </b-popover>
                            </div>
                        </li>


                        <li v-if="ville.Commune_nouvelle == 1" class="col-md-12 mt-3">
                            <div class="star-container">
                                <img src="/images/star.png" width="20px" />
                            </div>
                            <div>
                                Commune nouvelle
                            </div>
                        </li>
                        <li class="col-md-12 mt-3">
                            <div>
                                <img src="/images/hands.svg" width="25px" />
                            </div>
                            <div>
                                &Eacute;lecteurs inscrits : <span>{{ Number(ville.Nombres_inscrits_listes_electoral).toLocaleString() }} </span>

                                <b-button id="popup-electeurs-inscrits" class="btn btn-popup">?</b-button>
                                <b-popover ref="popover" target="popup-electeurs-inscrits" triggers="focus">
                                    Nombre d'électeurs inscrits au 14 avril 2019. Source INSEE
                                </b-popover>
                            </div>
                        </li>
                        <li class="col-md-12 mt-3 nombresieges" v-if="ville.Id_ville_insee == 75056 || (ville.Id_ville_insee >= 75101 && ville.Id_ville_insee <= 75120)">
                            <div>
                                <img src='images/points.svg' width='25px' />
                            </div>
                            <div>
                                Nombre de sièges au conseil de Paris : <span>{{ ville.Nb_elus_municipaux }}</span>
                            </div>
                        </li>

                        <li class="col-md-12 mt-3 nombresieges" v-else>

                            <div>
                                <img src='images/points.svg' width='25px' />
                            </div>
                            <div>
                                Nombre de sièges au conseil municipal : <span>{{ ville.Nb_elus_municipaux }}</span>
                            </div>
                        </li>

                        <li class="col-md-12 mt-3 nombresieges" v-if="ville.Id_ville_insee == 75056 || (ville.Id_ville_insee >= 75101 && ville.Id_ville_insee <= 75120) || ville.Id_ville_insee == 69300 || (ville.Id_ville_insee >= 69381 && ville.Id_ville_insee <= 69389) || ville.Id_ville_insee == 13055 || (ville.Id_ville_insee >= 13201 && ville.Id_ville_insee <= 13220)">
                            <div>
                                <img src="images/points.svg" width="25px" />
                            </div>
                            <div>
                                Nombre de sièges au conseil de secteur : &nbsp; <span>{{ ville.Nb_elus_conseilsecteur }}</span>&nbsp;
                            </div>
                        </li>
                    </ul>
                </main>
            </section>
        </article>
    </main>
</section>
</template>

<script>

import { villeGetters } from '@/store/ville.js';

export default {
  name: 'HeaderVille',
  computed: {
      ...villeGetters
    },
  props: {
    id: String
  }
}
</script>

<style lang="scss" scoped>

</style>
